%{?filter_setup:
%filter_from_provides /^perl(/d;
%filter_from_requires /^perl(/d;
%filter_from_requires /^\/bin\/lua/d;
%filter_setup
}

Summary:       Universal source code to formatted text converter
Name:          highlight
Version:       4.1
Release:       4%{?dist}
License:       GPLv3
URL:           http://www.andre-simon.de/
Source0:       %{url}zip/%{name}-%{version}.tar.bz2

BuildRequires: gcc-c++ qt5-qtbase-devel lua-devel boost-devel desktop-file-utils make

%description
A utility that converts sourcecode to HTML, XHTML, RTF, LaTeX, TeX, XSL-FO, XML or ANSI escape
sequences with syntax highlighting.  It supports several programming and markup languages.  Language
descriptions are configurable and support regular expressions.  The utility offers indentation and
reformatting capabilities.  It is easily possible to create new language definitions and colour
themes.

%package gui
Summary:        GUI for the highlight source code formatter
Requires:       %{name} = %{version}-%{release}

%description gui
A Qt-based GUI for the highlight source code formatter source.

%prep
%autosetup -n %{name}-%{version} -p1

%build
CFLAGS="$CFLAGS -fPIC %{optflags}"; export CFLAGS
CXXFLAGS="$CXXFLAGS -fPIC %{optflags}"; export CXXFLAGS
LDFLAGS="$LDFLAGS %{?__global_ldflags}"; export LDFLAGS

%{__make} all gui \
    CFLAGS="${CFLAGS}"          \
    CXXFLAGS="${CXXFLAGS}"      \
    LDFLAGS="${LDFLAGS}"        \
    LFLAGS="-Wl,-O1 ${LDFLAGS}" \
    PREFIX="%{_prefix}"         \
    conf_dir="%{_sysconfdir}/highlight/" \
    QMAKE="%{_qt5_qmake}"       \
    QMAKE_STRIP=

%install
%make_install PREFIX="%{_prefix}" conf_dir="%{_sysconfdir}/highlight/"

mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/pixmaps
make install-gui DESTDIR=%{buildroot} PREFIX="%{_prefix}" conf_dir="%{_sysconfdir}/highlight/"

rm -rf %{buildroot}%{_docdir}/%{name}/

desktop-file-install \
   --dir %{buildroot}%{_datadir}/applications \
   highlight.desktop

%files
%license COPYING
%doc ChangeLog* AUTHORS README* extras/
%config(noreplace) %{_sysconfdir}/highlight/
%{_bindir}/highlight
%{_datadir}/highlight/
%{_mandir}/man1/highlight.1*
%{_mandir}/man5/filetypes.conf.5*

%files gui
%{_bindir}/highlight-gui
%{_datadir}/applications/highlight.desktop
%{_datadir}/icons/hicolor/256x256/apps/highlight.png

%changelog
* Tue Aug 01 2023 rockerzhu rockerzhu@tencent.com - 4.1-4
- Rebuilt for boost 1.82.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.1-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Feb 16 2023 Shuo Wang <abushwang@tencent.com> - 4.1-1
- initial build
